function result = combine(tensor,u)
% result = combine(tensor,u)
% Takes a weighted sum across the 3rd dimension of tensor, using the
% weights contained in vector u.  The C version is much faster.

% Author: David Ross
% $Id: combine.m,v 1.1 2006/09/14 15:44:07 dross Exp $

error(nargchk(2,2,nargin));

if size(tensor,3) ~= prod(size(u))
    error('# of elements in u must match size(tensor,3)');
end

[I,J,K] = size(tensor);
result = zeros(I,J);
for kk = 1:K
    result = result + tensor(:,:,kk)*u(kk);
end

    