% test_combine.m
% Author: David Ross, Oct. 2006

% As with mult3, think of a as a stack of four matrices.
a = cat(3, ones(2,3), 10*ones(2,3), 100*ones(2,3), 1000*ones(2,3))

% Suppose we want to add all the matrices in the stack 
% together.  The sum function will work if we weight each
% of the matrices equally.  Suppose however we wanted a 
% non-uniformly weighted combination

weights = [0.7, 5, 2, 9]

b = zeros(size(a,1),size(a,2));
for ii = 1:size(a,3)
    b = b + weights(ii)*a(:,:,ii);
end

% a faster alternative is to use the combine mex function
c = combine(a, weights)

err = norm(b - c)